<?php
/**
 * Alias file for SpamRegex extension.
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English */
$specialPageAliases['en'] = [
	'SpamRegex' => [ 'SpamRegex' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'SpamRegex' => [ 'سبام_ريجيكس' ],
];

/** Egyptian Spoken Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'SpamRegex' => [ 'Spam_Regex' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'SpamRegex' => [ 'NeweyinaSpami' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'SpamRegex' => [ 'ביטויי_ספאם' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'SpamRegex' => [ 'Spamowe regularne wurazy' ],
];

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = [
	'SpamRegex' => [ 'PouryèlReg' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'SpamRegex' => [ 'Regex_antispam', 'Regex_anti-spam' ],
];

/** Indonesian (Bahasa Indonesia) */
$specialPageAliases['id'] = [
	'SpamRegex' => [ 'Regex_spam', 'RegexSpam' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'SpamRegex' => [ 'スパム正規表現フィルター', 'スパム正規表現フィルタ' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'SpamRegex' => [ '스팸정규식' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'SpamRegex' => [ 'Regele_fir_Spam_ze_fannen' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'SpamRegex' => [ 'РегИзрЗаСпам' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'SpamRegex' => [ 'പാഴെഴുത്ത്റെജെക്സ്' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'SpamRegex' => [ 'उत्पातरिजेक्स' ],
];

/** Norwegian Bokmål (norsk (bokmål)‎) */
$specialPageAliases['nb'] = [
	'SpamRegex' => [ 'Regulære_uttrykk_mot_spam' ],
];

/** Nedersaksisch (Nedersaksisch) */
$specialPageAliases['nds-nl'] = [
	'SpamRegex' => [ 'Moek_reguliere_uutdrokking' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'SpamRegex' => [ 'SpamReguliereExpressie' ],
];

/** Tagalog (Tagalog) */
$specialPageAliases['tl'] = [
	'SpamRegex' => [ 'Karaniwang_pagsasaad_ng_manlulusob' ],
];